Index: /palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 161)
+++ /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 162)
@@ -622,6 +1282,13 @@
 
    end do
-  
-   plot_panel=new((/no_time*no_layer*no_var/),graphic)
+
+   if (no_var .EQ. 0) then
+      print(" ")
+      print("Please select a variable 'var=' or use the default value")
+      print(" ")
+      print("Your selection '"+var+"' does not exist on the input file")
+      print(" ")
+      exit
+   end if
 
    if (vector .EQ. 1) then
@@ -648,10 +1315,10 @@
    gsn_define_colormap(wks_ps,"rainbow+white")
 
-   plot=new((/no_time*no_layer*no_var/),graphic)
-
+   plot=new((/no_time*no_layer*no_var*2/),graphic)
+ 
    page = 0
    n=0
-
-   print("plots sorted by '"+sort+"'")
+   print(" ")
+   print("Plots sorted by '"+sort+"'")
    print(" ")
 
@@ -660,6 +1327,25 @@
    ; ***************************************************
 
+   if (vector .EQ. 1 .AND. parameter(45) .EQ. "plotvec") then
+      do lo = los, loe           				
+         do li = lis, lie
+            level = "=" + data&z(lo) + "m" 	  
+            vecres                  = True            ; vector only resources
+            vecres@gsnDraw          = False           ; don't draw
+  	    vecres@gsnFrame         = False           ; don't advance frame
+            vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
+  	    vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
+  	    vecres@vcRefLengthF     = 0.05            ; define length of vec ref
+  	    vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
+            vecres@gsnLeftString = "t=" + data&t(li) +"s  z"+level 
+  	    vecres@tiXAxisString    = " "                                                
+            plot(n) = gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
+            n=n+1
+         end do
+      end do
+   end if
+
    check = True
-
+ 
    do varn=dim-1,0,1 
 
@@ -682,12 +1368,20 @@
     
       if(check) then
-    
+         print(vNam(varn))
+         space=(MaxVal(varn)-MinVal(varn))/24
+  
+         cs_res@cnMinLevelValF = MinVal(varn)
+         cs_res@cnMaxLevelValF = MaxVal(varn) 
+
+         cs_res@cnLevelSpacingF = space
+      
          ; ****************************************************
          ; loops over time and layer
          ; **************************************************** 
 
+         
          do lo = los, loe           				
-            do li = lis, lie	                        
-                  
+            do li = lis, lie
+
                ; ****************************************************
                ; xy cross section
@@ -699,5 +1393,5 @@
                   cs_res@tiYAxisString = "y [m]"
                   cs_res@gsnLeftString = "Plot of "+vNam(varn)
-      
+                  
                   if ( sort .eq. "time" ) then
                      if ( data&z(lo) .eq. -1 ) then
@@ -706,35 +1400,21 @@
                         level = "=" + data&z(lo) + "m"
                      end if
-                     cs_res@gsnCenterString = "time=" + data&t(li) +"s  z"+level
+                     cs_res@gsnCenterString = "t=" + data&t(li) +"s  z"+level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,li,lo,:,:),cs_res) 
-                     if (vector .EQ. 1) then
-                        if (check_vecp)
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  	                   vecres@gsnFrame         = False           ; don't advance frame
-  	                   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  		           vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  		           vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = " "             ; turn off right string
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
-                           overlay(plot(n), plot_vec)
-                        else  
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
-                           plot(n) = plot_vec
-                        end if
+                     if (vector .EQ. 1 .AND. check_vecp) then
+                        vecres                  = True            ; vector only resources
+  			vecres@gsnDraw          = False           ; don't draw
+  	                vecres@gsnFrame         = False           ; don't advance frame
+  	                vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
+  		        vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
+  		        vecres@vcRefLengthF     = 0.05            ; define length of vec ref  
+                        vecres@gsnRightString   = " "
+                        vecres@gsnLeftString    = " " 
+  			vecres@tiXAxisString    = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
+                        overlay(plot(n), plot_vec)
                      end if                         
                   end if
-
+                 
                   if ( sort .eq. "layer" ) then
                      if ( data&z(li) .eq. -1 ) then
@@ -745,30 +1425,16 @@
                      cs_res@gsnCenterString = "t=" + data&t(lo) + "s  z"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,li,:,:),cs_res)
-                     if (vector .EQ. 1) then
-                        if (check_vecp)
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = " "             ; turn off right string
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
-                           overlay(plot(n), plot_vec)
-                        else  
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
-                           plot(n) = plot_vec
-                        end if
+                     if (vector .EQ. 1 .AND. check_vecp) then
+                        vecres                  = True            ; vector only resources
+  			vecres@gsnDraw          = False           ; don't draw
+  			vecres@gsnFrame         = False           ; don't advance frame
+  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
+  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
+  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
+  			vecres@gsnRightString   = " "             ; turn off right string
+  			vecres@gsnLeftString    = " "             ; turn off left string
+  			vecres@tiXAxisString    = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
+                        overlay(plot(n), plot_vec)
                      end if
                   end if
@@ -784,5 +1450,5 @@
                   cs_res@tiYAxisString   = "z [m]"
 		  cs_res@gsnLeftString = "Plot of "+vNam(varn)
-
+               
                   if ( sort .eq. "time" ) then
                      if ( data&z(lo) .eq. -1 ) then
@@ -793,30 +1459,16 @@
                      cs_res@gsnCenterString = "t=" + data&t(li) + "s  y"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,li,:,lo,:),cs_res)
-                     if (vector .EQ. 1) then
-                        if (check_vecp)
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = " "             ; turn off right string
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
-                           overlay(plot(n), plot_vec)
-                        else  
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
-                           plot(n) = plot_vec
-                        end if
+                     if (vector .EQ. 1 .AND. check_vecp) then
+                        vecres                  = True            ; vector only resources
+  			vecres@gsnDraw          = False           ; don't draw
+  			vecres@gsnFrame         = False           ; don't advance frame
+  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
+  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
+  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
+  			vecres@gsnRightString   = " "             ; turn off right string
+  			vecres@gsnLeftString    = " "             ; turn off left string
+  			vecres@tiXAxisString    = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
+                        overlay(plot(n), plot_vec)
                      end if
                   end if
@@ -830,30 +1482,16 @@
                      cs_res@gsnCenterString = "t=" + data&t(lo) + "s  y"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,:,li,:),cs_res)
-                     if (vector .EQ. 1) then
-                        if (check_vecp)
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = " "             ; turn off right string
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
-                           overlay(plot(n), plot_vec)
-                        else  
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
-                           plot(n) = plot_vec
-                        end if
+                     if (vector .EQ. 1 .AND. check_vecp) then
+                        vecres                  = True            ; vector only resources
+  			vecres@gsnDraw          = False           ; don't draw
+  			vecres@gsnFrame         = False           ; don't advance frame
+  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
+  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
+  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
+  			vecres@gsnRightString   = " "             ; turn off right string
+  			vecres@gsnLeftString    = " "             ; turn off left string
+  			vecres@tiXAxisString    = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
+                        overlay(plot(n), plot_vec)
                      end if
                   end if                  
@@ -878,30 +1516,16 @@
                      cs_res@gsnCenterString = "t=" + data&t(li) + "s  x"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,li,:,:,lo),cs_res)
-    	             if (vector .EQ. 1) then
-                        if (check_vecp)
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = " "             ; turn off right string
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
-                           overlay(plot(n), plot_vec)
-                        else  
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
-                           plot(n) = plot_vec
-                        end if
+    	             if (vector .EQ. 1 .AND. check_vecp) then
+                        vecres                  = True            ; vector only resources
+  			vecres@gsnDraw          = False           ; don't draw
+  			vecres@gsnFrame         = False           ; don't advance frame
+  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
+  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
+  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
+  			vecres@gsnRightString   = " "             ; turn off right string
+  			vecres@gsnLeftString    = " "             ; turn off left string
+  			vecres@tiXAxisString    = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo,:,:),vect2(li,lo,:,:),vecres)
+                        overlay(plot(n), plot_vec)
                      end if
                   end if
@@ -915,30 +1539,16 @@
                      cs_res@gsnCenterString = "t=" + data&t(lo) + "s  x"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,:,:,li),cs_res)
-                     if (vector .EQ. 1) then
-                        if (check_vecp)
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = " "             ; turn off right string
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
-                           overlay(plot(n), plot_vec)
-                        else  
-                           vecres                  = True            ; vector only resources
-  			   vecres@gsnDraw          = False           ; don't draw
-  			   vecres@gsnFrame         = False           ; don't advance frame
-  			   vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			   vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			   vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			   vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
-  			   vecres@gsnLeftString    = " "             ; turn off left string
-  			   vecres@tiXAxisString    = " "   
-                           plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
-                           plot(n) = plot_vec
-                        end if
+                     if (vector .EQ. 1 .AND. check_vecp)then
+                        vecres                  = True            ; vector only resources
+  			vecres@gsnDraw          = False           ; don't draw
+  			vecres@gsnFrame         = False           ; don't advance frame
+  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
+  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
+  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
+  			vecres@gsnRightString   = " "             ; turn off right string
+  			vecres@gsnLeftString    = " "             ; turn off left string
+  			vecres@tiXAxisString    = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
+                        overlay(plot(n), plot_vec)
                      end if 
                   end if
@@ -947,5 +1557,5 @@
             end do 	
          end do  
-      end if 
+      end if
    end do
 
@@ -953,18 +1563,35 @@
    ; merge plots onto one page 
    ; ***************************************************
-             
-   if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
-      gsn_panel(wks_ps,plot(0:(no_time*no_layer*no_var)-1),(/no_var,no_layer*no_time/),cs_resP)
-      print(" ")
-      print("Outputs to .eps or .epsi have only one frame")
-      print(" ")
-   else
-      do np = 0,no_layer*no_time*no_var-1,no_lines*no_columns   
-         if ( np + no_lines*no_columns .gt. (no_layer*no_time*no_var)-1) then 
-            gsn_panel(wks_ps, plot(np:(no_layer*no_time*no_var)-1),(/no_lines,no_columns/),cs_resP)
-         else
-            gsn_panel(wks_ps, plot(np:np+no_lines*no_columns-1),(/no_lines,no_columns/),cs_resP)
-         end if
-      end do
+
+   if (vector .EQ. 1 .AND. parameter(45) .EQ. "plotvec")then 
+      if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
+         gsn_panel(wks_ps,plot(0:(no_time*no_layer*(no_var+1))-1),(/no_var+1,no_layer*no_time/),cs_resP)
+         print(" ")
+         print("Outputs to .eps or .epsi have only one frame")
+         print(" ")
+      else
+         do np = 0,no_layer*no_time*(no_var+1)-1,no_lines*no_columns   
+            if ( np + no_lines*no_columns .gt. (no_layer*no_time*(no_var+1))-1) then 
+               gsn_panel(wks_ps, plot(np:(no_layer*no_time*(no_var+1))-1),(/no_lines,no_columns/),cs_resP)
+            else
+               gsn_panel(wks_ps, plot(np:np+no_lines*no_columns-1),(/no_lines,no_columns/),cs_resP)
+            end if
+         end do
+      end if
+   else          
+      if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
+         gsn_panel(wks_ps,plot(0:(no_time*no_layer*no_var)-1),(/no_var,no_layer*no_time/),cs_resP)
+         print(" ")
+         print("Outputs to .eps or .epsi have only one frame")
+         print(" ")
+      else
+         do np = 0,no_layer*no_time*no_var-1,no_lines*no_columns   
+            if ( np + no_lines*no_columns .gt. (no_layer*no_time*no_var)-1) then 
+               gsn_panel(wks_ps, plot(np:(no_layer*no_time*no_var)-1),(/no_lines,no_columns/),cs_resP)
+            else
+               gsn_panel(wks_ps, plot(np:np+no_lines*no_columns-1),(/no_lines,no_columns/),cs_resP)
+            end if
+         end do
+      end if
    end if
 
